language: cn
model_unique_abbr: detecting_semantic_anomaly_by_clustering
version: 1.0

identification:
  docker_image_name: detecting_semantic_anomaly_by_clustering:1.0
  model_name: 基于聚类策略的空间-专题属性异常探测
  semantic: Spatial-thematic properties
  description: 基于聚类策略的空间-专题属性异常探测旨在利用稳健的、顾及非空间专题属性的空间聚类方法探测空间显著分离或专题属性差异大的小簇或噪声，间接实现空间-专题属性异常对象集合。
  category_application: 诊断型
  category_data:
    - 空间-专题属性数据分析
  keywords:
    - 无监督
    - Delaunay三角网
    - 异常检测


parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      param_type: input_data
      name: 空间-专题属性数据
      description: "输入数据以csv格式存储，每行依次存储一个空间点的x和y坐标及其属性值：x，y，atrr。"
      is_required: false
      data_type: csv
      data_semantic: spatial_thematic_data


    - arg_name: beta
      is_single_en_dash: false
      param_type: param
      name: beta
      description: "用于确定Delaunay三角形网络中长边的beta系数，默认为3"
      is_required: false
      data_type: float
      data_semantic: beta
      specification: #选填。参数规格
          default: 3 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: num_monte
      is_single_en_dash: false
      param_type: param
      name: 蒙特卡罗模拟数
      description: "为计算显著性而执行的蒙特卡罗模拟数，建议设置为2-50次，次数越多运算时长越久"
      data_type: int
      data_semantic: monte_carlo_simulation
      specification: #选填。参数规格
        default: 2 #对于visible=false的参数必填，其他情况选填。默认值。

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 异常检测结果
      description: "带有簇标签的异常检测结果，保存为csv格式的文件。异常标签为1，正常标签为0"
      data_type: csv
      data_semantic: detection_result

application:
  domain: 空间-专题属性异常检测
  objective: 这种算法适用于许多异常检测应用，特别是定量评估识别任意形状的异常区域方面。
  dimension:
  - 二维
  spatial_resolution:
  spatial_reference:
  mechanism: 首先采用约束 Delaunay 三角剖分来自适应地构建空间邻域关系。在此基础上，构建了一种基于高斯函数的考虑非空间属性值变化的空间异常程度测量方法，以确定空间异常对象。
                          以识别出的空间异常物体为种子，进一步采用多向优化方法统计发现非空间属性值偏差较大的异常区域。

operation:
  usage: 该算法需要三个参数，空间-专题属性数据(input_data)，beta值(beta)，蒙特卡罗模拟数(num_monte)
  exec_example:
    - docker run -v $(pwd):/data detecting_semantic_anomaly_by_clustering:1.0 --input ../data/sg1.csv --output ../data/output.csv
    - docker run -v $(pwd):/data detecting_semantic_anomaly_by_clustering:1.0 --input ../data/sg1.csv --beta 3.1 --output ../data/output.csv
  output_display:
    - "文件为csv格式，针对检测结果中anomalies列,用不同颜色绘制不同标签的二维数据。"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer:  Wenhao Chen
  organization: Central South University
  contact: wenhaochen@csu.edu.cn
  repository:
  integrated_softwares:
    - name: numpy
      version: 1.24.3
      license:
  references:
    - "Yang, X., Deng, M., Shi, Y ., et al 2021. Detecting statistically significant geographical anomalous regions from spatial sampling points by coupling Gaussian function and multidirectional optimization. Transactions in GIS, 25(3): 1277– 1300"
